Resource Center/Resource Pool/VM Instance Operations
GETVM Instance OperationsSince 0.6SynchronousAuth Required
GetVmConsoleAddress
GetVmConsoleAddress
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Query Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe VM instance UUID.
Query Parameters
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
GET/zstack/v1/vm-instances/{uuid}/console-addresses
/zstack/v1/vm-instances/{uuid}/console-addresses
Request Example
curl -X GET 'http://{host}/zstack/v1/vm-instances/{uuid}/console-addresses?systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'
Response Example
200{ "hostIp": "192.168.10.100", "port": 5900.0, "protocol": "vnc", "vdiPortInfo": { "vncPort": 5900.0 } }Change History
This API has no change history records yet.
